<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ConfigFile.html">ConfigFile</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::ConfigFile Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#a210c66181466a969725d196d09880fc7">clear</a>(void)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#ae9cea1fe4ad70279841635eb892ba514">ConfigFile</a>()</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#a30a55cb6298f52535b4772b90b368f53">getMultiSetting</a>(const String &amp;key, const String &amp;section=StringUtil::BLANK) const </td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#aced12d8135c24ff4bbe6f329e900b046">getSectionIterator</a>(void)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#ad7d0e8ee36d1009db54baff67d066665">getSetting</a>(const String &amp;key, const String &amp;section=StringUtil::BLANK, const String &amp;defaultValue=StringUtil::BLANK) const </td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#a048408e7937efe28bc61bf5e552bd32d">getSettingsIterator</a>(const String &amp;section=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#a361167ade63602d0cf242ee24a10b4a8">load</a>(const String &amp;filename, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#a5b28053a489365f4b30d4d9c166443b8">load</a>(const String &amp;filename, const String &amp;resourceGroup, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#a165868d7dd164934fcb0358db1b57bc7">load</a>(const DataStreamPtr &amp;stream, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#a6f0e8df905fe76a8443fb35938b7093c">loadDirect</a>(const String &amp;filename, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#acff4e2bdf7a14e6592a324452c243a04">loadFromResourceSystem</a>(const String &amp;filename, const String &amp;resourceGroup, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#a3a7b05390a1fec51ba0600c9e977c318">mSettings</a></td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#aa0167bf5f0a33e109d2de01a6a14f2f0">SectionIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#a9ff7b89672812c292b0b7198cc8ae848">SettingsBySection</a> typedef</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#adf764e20ebcf5c52d0ea887b1468a283">SettingsIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#ac6682c7a1a92d2304f208eede43f009c">SettingsMultiMap</a> typedef</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#aeb74fca345254b1701f509d3b0e77694">~ConfigFile</a>()</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
